coreEngine.Calibration.Distributions

## Class BinNorm2Dist

- java.lang.Object
- - coreEngine.Calibration.Distributions.Distribution
  - - coreEngine.Calibration.Distributions.BinNorm2Dist

-     public class BinNorm2Dist
      extends Distribution

  Author:
    jlake

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `alpha`
    `private static double` | `ALPHA_MAX`
    `private static double` | `ALPHA_MIN`
    `private static double` | `ALPHA_STEP`
    `private static float` | `CROSSOVER_PCT`
    `private static float` | `DEFAULT_MUTATE_PCT`
    `private static int` | `MAX_BINARY_VALUE`
    `java.lang.String` | `mu1`
    `private static double` | `MU1_MAX`
    `private static double` | `MU1_MIN`
    `private static double` | `MU1_STEP`
    `java.lang.String` | `mu2`
    `private static double` | `MU2_MAX`
    `private static double` | `MU2_MIN`
    `private static double` | `MU2_STEP`
    `protected NormalDistribution` | `nDist1`
    `protected NormalDistribution` | `nDist2`
    `private static int` | `NUM_BIN_DIGIT`
    `java.lang.String` | `sigma1`
    `private static double` | `SIGMA1_MAX`
    `private static double` | `SIGMA1_MIN`
    `private static double` | `SIGMA1_STEP`
    `java.lang.String` | `sigma2`
    `private static double` | `SIGMA2_MAX`
    `private static double` | `SIGMA2_MIN`
    `private static double` | `SIGMA2_STEP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinNorm2Dist()`
    `BinNorm2Dist(java.lang.String alpha, java.lang.String mu1, java.lang.String sigma1, java.lang.String mu2, java.lang.String sigma2)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static java.lang.String` | `binStringMutate(java.lang.String binString, float mutPct)`
    `Distribution` | `clone()`
    `Distribution[]` | `crossover(Distribution mate)`
    `double` | `getAlpha()`
    `static double` | `getALPHA1_MAX()`
    `static double` | `getALPHA1_MIN()`
    `static float` | `getCROSSOVER_PCT()`
    `static double` | `getMU1_MAX()`
    `static double` | `getMU1_MIN()`
    `double` | `getMu1()`
    `static double` | `getMU2_MAX()`
    `static double` | `getMU2_MIN()`
    `double` | `getMu2()`
    `static double` | `getSIGMA1_MAX()`
    `static double` | `getSIGMA1_MIN()`
    `double` | `getSigma1()`
    `static double` | `getSIGMA2_MAX()`
    `static double` | `getSIGMA2_MIN()`
    `double` | `getSigma2()`
    `float` | `getValue(double period)`
    `float` | `getValue(float period)`
    `float` | `getValue(int period)`
    `void` | `mutate()`
    `void` | `mutate(float mutRate)`
    `void` | `mutate(int paramIdx)`
    `void` | `setAlpha(double newAlpha)`
    `static void` | `setALPHA1_MAX(double ALPHA1_MAX)`
    `static void` | `setALPHA1_MIN(double ALPHA1_MIN)`
    `static void` | `setBinaryDigits(int numBinDigits)`
    `static void` | `setCROSSOVER_PCT(float CROSSOVER_PCT)`
    `static void` | `setMU1_MAX(double MU1_MAX)`
    `static void` | `setMU1_MIN(double MU1_MIN)`
    `void` | `setMu1(double newMu1)`
    `static void` | `setMU2_MAX(double MU2_MAX)`
    `static void` | `setMU2_MIN(double MU2_MIN)`
    `void` | `setMu2(double newMu2)`
    `static void` | `setSIGMA1_MAX(double SIGMA1_MAX)`
    `static void` | `setSIGMA1_MIN(double SIGMA1_MIN)`
    `void` | `setSigma1(double newSigma1)`
    `static void` | `setSIGMA2_MAX(double SIGMA2_MAX)`
    `static void` | `setSIGMA2_MIN(double SIGMA2_MIN)`
    `void` | `setSigma2(double newSigma2)`
    `java.lang.String` | `toString()`
    `private static void` | `updateStaticParams()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### alpha

          public java.lang.String alpha

    - #### mu1

          public java.lang.String mu1

    - #### sigma1

          public java.lang.String sigma1

    - #### mu2

          public java.lang.String mu2

    - #### sigma2

          public java.lang.String sigma2

    - #### nDist1

          protected NormalDistribution nDist1

    - #### nDist2

          protected NormalDistribution nDist2

    - #### DEFAULT_MUTATE_PCT

          private static final float DEFAULT_MUTATE_PCT

      See Also:
        Constant Field Values

    - #### CROSSOVER_PCT

          private static float CROSSOVER_PCT

    - #### NUM_BIN_DIGIT

          private static int NUM_BIN_DIGIT

    - #### MAX_BINARY_VALUE

          private static int MAX_BINARY_VALUE

    - #### ALPHA_MIN

          private static double ALPHA_MIN

    - #### ALPHA_MAX

          private static double ALPHA_MAX

    - #### ALPHA_STEP

          private static double ALPHA_STEP

    - #### MU1_MIN

          private static double MU1_MIN

    - #### MU1_MAX

          private static double MU1_MAX

    - #### MU1_STEP

          private static double MU1_STEP

    - #### SIGMA1_MIN

          private static double SIGMA1_MIN

    - #### SIGMA1_MAX

          private static double SIGMA1_MAX

    - #### SIGMA1_STEP

          private static double SIGMA1_STEP

    - #### MU2_MIN

          private static double MU2_MIN

    - #### MU2_MAX

          private static double MU2_MAX

    - #### MU2_STEP

          private static double MU2_STEP

    - #### SIGMA2_MIN

          private static double SIGMA2_MIN

    - #### SIGMA2_MAX

          private static double SIGMA2_MAX

    - #### SIGMA2_STEP

          private static double SIGMA2_STEP

  - ### Constructor Detail

    - #### BinNorm2Dist

          public BinNorm2Dist()

    - #### BinNorm2Dist

          public BinNorm2Dist(java.lang.String alpha,
                              java.lang.String mu1,
                              java.lang.String sigma1,
                              java.lang.String mu2,
                              java.lang.String sigma2)

  - ### Method Detail

    - #### getValue

          public float getValue(int period)

      Specified by:
        `getValue` in class `Distribution`

    - #### getValue

          public float getValue(float period)

      Specified by:
        `getValue` in class `Distribution`

    - #### getValue

          public float getValue(double period)

      Specified by:
        `getValue` in class `Distribution`

    - #### clone

          public Distribution clone()

      Specified by:
        `clone` in class `Distribution`

    - #### mutate

          public void mutate()

      Specified by:
        `mutate` in class `Distribution`

    - #### mutate

          public void mutate(float mutRate)

      Specified by:
        `mutate` in class `Distribution`

    - #### mutate

          public void mutate(int paramIdx)

      Specified by:
        `mutate` in class `Distribution`

    - #### crossover

          public Distribution[] crossover(Distribution mate)

      Specified by:
        `crossover` in class `Distribution`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getAlpha

          public double getAlpha()

    - #### setAlpha

          public void setAlpha(double newAlpha)

    - #### getMu1

          public double getMu1()

    - #### setMu1

          public void setMu1(double newMu1)

    - #### getSigma1

          public double getSigma1()

    - #### setSigma1

          public void setSigma1(double newSigma1)

    - #### getMu2

          public double getMu2()

    - #### setMu2

          public void setMu2(double newMu2)

    - #### getSigma2

          public double getSigma2()

    - #### setSigma2

          public void setSigma2(double newSigma2)

    - #### binStringMutate

          private static java.lang.String binStringMutate(java.lang.String binString,
                                                          float mutPct)

    - #### setBinaryDigits

          public static void setBinaryDigits(int numBinDigits)

    - #### updateStaticParams

          private static void updateStaticParams()

    - #### getALPHA1_MIN

          public static double getALPHA1_MIN()

    - #### setALPHA1_MIN

          public static void setALPHA1_MIN(double ALPHA1_MIN)

    - #### getALPHA1_MAX

          public static double getALPHA1_MAX()

    - #### setALPHA1_MAX

          public static void setALPHA1_MAX(double ALPHA1_MAX)

    - #### getMU1_MIN

          public static double getMU1_MIN()

    - #### setMU1_MIN

          public static void setMU1_MIN(double MU1_MIN)

    - #### getMU1_MAX

          public static double getMU1_MAX()

    - #### setMU1_MAX

          public static void setMU1_MAX(double MU1_MAX)

    - #### getSIGMA1_MIN

          public static double getSIGMA1_MIN()

    - #### setSIGMA1_MIN

          public static void setSIGMA1_MIN(double SIGMA1_MIN)

    - #### getSIGMA1_MAX

          public static double getSIGMA1_MAX()

    - #### setSIGMA1_MAX

          public static void setSIGMA1_MAX(double SIGMA1_MAX)

    - #### getMU2_MIN

          public static double getMU2_MIN()

    - #### setMU2_MIN

          public static void setMU2_MIN(double MU2_MIN)

    - #### getMU2_MAX

          public static double getMU2_MAX()

    - #### setMU2_MAX

          public static void setMU2_MAX(double MU2_MAX)

    - #### getSIGMA2_MIN

          public static double getSIGMA2_MIN()

    - #### setSIGMA2_MIN

          public static void setSIGMA2_MIN(double SIGMA2_MIN)

    - #### getSIGMA2_MAX

          public static double getSIGMA2_MAX()

    - #### setSIGMA2_MAX

          public static void setSIGMA2_MAX(double SIGMA2_MAX)

    - #### getCROSSOVER_PCT

          public static float getCROSSOVER_PCT()

    - #### setCROSSOVER_PCT

          public static void setCROSSOVER_PCT(float CROSSOVER_PCT)